summaryrefslogtreecommitdiffstats
path: root/patches/source/samba/prune-samba.sh
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-25 23:29:36 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 15:13:35 -0700
commit9097b9a1f29939d4996b0a685847517d02f7b5ad (patch)
treec74b091b97e2f7655593b7e011e8b37bcf1e8611 /patches/source/samba/prune-samba.sh
parent75a4a592e5ccda30715f93563d741b83e0dcf39e (diff)
downloadcurrent-13.37.tar.gz
current-13.37.tar.xz
Fri May 25 23:29:36 UTC 201813.37
patches/packages/glibc-zoneinfo-2018e-noarch-2_slack13.37.txz: Rebuilt. Handle removal of US/Pacific-New timezone. If we see that the machine is using this, it will be automatically switched to US/Pacific.
Diffstat (limited to 'patches/source/samba/prune-samba.sh')
-rwxr-xr-xpatches/source/samba/prune-samba.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/patches/source/samba/prune-samba.sh b/patches/source/samba/prune-samba.sh
new file mode 100755
index 000000000..a6106df33
--- /dev/null
+++ b/patches/source/samba/prune-samba.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# Copyright 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Pare down the Samba sources to just Samba3 for now, and drop redundant docs.
+# This script expects the samba sources to be unpacked in the current
+# directory. It will then "pare" them. You'll be expected to repack them
+# afterwards.
+
+cd samba-?.?.? || cd samba-?.?.?? || exit 1
+
+rm --verbose WHATSNEW4.txt howto-ol-backend-s4.txt howto4.txt prog_guide4.txt
+rm -r --verbose docs-xml packaging4 source4 swat2*
+rm --verbose docs/*.pdf
+